RENAME(1)

BEZEICHNUNG
rename - Dateien umbenennen

ÜBERSICHT

rename [Optionen] Ausdruck Ersetzung Datei...

BESCHREIBUNG

rename benennt die angegebenen Dateien um, indem das erste Vorkommen von Ausdruck in deren Namen durch Ersetzung ersetzt wird.

OPTIONEN

-s, --symlink
    benennt einen symbolischen Links nicht um, aber ändert das Ziel, auf das er verweist.

-v, --verbose
    zeigt welche Dateien umbenannt wurden, falls vorhanden.

-n, --no-act
    nimmt keine Änderungen vor; fügen Sie --verbose hinzu, um zu sehen, was geändert werden würde.

-a, --all
    ersetzt alle Vorkommen des angegebenen Ausdrucks, anstatt nur das erste Vorkommen zu ersetzen.

-l, --last
    ersetzt das letzte Vorkommen des angegebenen Ausdrucks anstatt des ersten.

-o, --no-overwrite
    überschreibt bestehende Dateien nicht. Wenn --symlink aktiv ist, werden Symlinks, die auf bestehende Ziele zeigen, nicht überschrieben.

-i, --interactive
    fragt nach, bevor vorhandene Dateien überschrieben werden.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    Display version and exit.

WARNUNG

Für die Umbenennung gibt es außer den Optionen --no-overwrite, --interactive oder --no-act keine eingebauten Sicherheitsmechanismen. Sofern der Benutzer über das Recht verfügt, Dateinamen zu ändern, wird die Aktion ohne Rückfrage ausgeführt. Das kann drastische Folgen haben, wenn der Befehl beispielsweise im Verzeichnis /lib mit Administratorrechten ausgeführt wird. Sichern Sie vor dem Aufruf des Befehls Ihre Daten, es sei denn, Sie wissen genau, was Sie tun.

GRENZFÄLLE

Falls der Ausdruck leer ist, wird die vorgegebene Ersetzung am Anfang des Dateinamens eingefügt. Mit --all wird die Ersetzung überall zwischen jeweils Zeichen eingefügt sowie dem Dateinamen vorangestellt als auch daran angehängt.

Normalerweise wird nur die letzte Pfadkomponente eines Dateinamens aktualisiert (oder mit --symlink nur die letzte Pfadkomponente des Links). Falls jedoch entweder der Ausdruck oder die Ersetzung einen Schrägstrich (/) enthalten, wir der vollständige Pfad aktualisiert. Dies kann dazu führen, dass Dateien innerhalb einer Verzeichnisstruktur verschoben werden. Die Erstellung von Verzeichnissen und das Verschieben von Dateien über Dateisystemgrenzen hinweg wird nicht unterstützt.

INTERAKTIVER MODUS

Wie die meisten Standardwerkzeuge kann Rename im kanonischen Modus mit einem Terminal-Gerät verwendet werden (kurz TTY), wobei die Zeile vom TTY gepuffert wird und Sie die EINGABETASTE drücken müssen, um die Benutzereingabe zu bestätigen. Wenn Sie Ihr TTY in den Cbreak-Modus versetzen, erfordert Rename nur einen einzigen Tastendruck, um auf die Eingabeaufforderung zu antworten. Um den Cbreak-Modus zu setzen, führen Sie beispielsweise Folgendes aus:

    sh -c 'stty -icanon min 1; "$0" "$@"; stty icanon' rename -i from to files

EXIT-STATUS

0
    Alle angeforderten Umbenennungen wurden erfolgreich ausgeführt.

1
    Alle angeforderten Umbenennungen sind gescheitert.

2
    Einige der angeforderten Umbenennungen sind gescheitert.

4
    Es wurde nichts umbenannt.

64
    Es ist ein unvorhergesehener Fehler aufgetreten.

BEISPIELE

Für die Dateien foo1, ..., foo9, foo10, ..., foo278 benennen die Befehle

    rename foo foo00 foo?
    rename foo foo0 foo??

in foo001, ..., foo009, foo010, ..., foo278 um. Der Befehl

    rename .htm .html *.htm

gleicht die Endung Ihrer HTML-Dateien an. Zum Kürzen geben Sie eine leere Zeichenkette an:

    rename '_mit_langem_Namen' '\&' Datei_mit_langem_Namen.*

entfernt die Teilzeichenkette in den Dateinamen.

SIEHE AUCH

mv(1)

FEHLER MELDEN

For bug reports, use the

VERFÜGBARKEIT

Der Befehl rename ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.